Subject: Re: VGA console endian bug

From: Olaf Hering <[email-masked]>
Date: Sat, 11 Aug 2001 11:05:54 +0200

On Sat, Aug 11, Olaf Hering wrote:

>
> On Sat, Aug 11, Geert Uytterhoeven wrote:
>
> >
> > Note that I've been having a fight with Olaf Hering about this as well :-)
>
> And the battle goes on :)
>
> It really fixes my VGA problems so far, but I guess the bug is somewhere
> else.
> We use a patch to display the kernel version above the framebuffer logo.
> It works on intel and on sparc, but it gives the usual garbage for the
> version chars on ppc.
>
> It uses the fbcon_putcs() function. I will see how it works without that
> vga patch.

sigh,

I removed the vga patch and the version string appears still as garbage.
We have the clgen driver in the kernel and it prints its messages also
as garbage, this was always the case, also in 2.2. That does not happen
with the vga patch.

The bootlogo-version patch can be found here:
/mirror/SuSE/ftp.suse.com/pub/suse/ppc/kernel/BETA/patches/50_bootlogo-ver-2.4.5.gz

Gruss Olaf

--
 $ man clone

BUGS
       Main feature not yet implemented...

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/